package main

import (
	"flag"

	"git.gensokyo.uk/security/fortify/internal/fmsg"
)

var (
	flagVerbose bool
)

func init() {
	flag.BoolVar(&flagVerbose, "v", false, "Verbose output")
}

func main() {
	fmsg.SetPrefix("launch")

	flag.Parse()
	fmsg.SetVerbose(flagVerbose)

	args := flag.Args()
	if len(args) < 1 {
		fmsg.Fatal("invalid arguments")
	}

	switch args[0] {
	case "activate":
		actionActivate(args[1:])
	case "start":
		actionStart(args[1:])
	default:
		fmsg.Fatal("invalid arguments")
	}

	fmsg.Exit(0)
}
